
This is a very compressed help for Note. More easy to read manual
may be available sometime later.
Text inside {} means that it's only valid for opers. Severale flags
and options are also only available as oper. However, the most usable
functions may be used by everybody. Enjoy!

Usages:
  NOTE [USER] [&passwd] [+-flags] [+-maxtime] <nick!username@host> <msg>
   or  [SEND|SPY|FIND|WAITFOR|NEWS {WALL|WALLOPS|DENY|KEY} <see USER args.>
  NOTE [LS|COUNT|RM|LOG] [&pwd][+-flags][#ID] <nick!user@host> [date]
  NOTE [FLAG] [&passwd] [+-flags] [#ID] <nick!username@host> <+-flags>
  NOTE [SENT] [NAME|COUNT} {[|USERS] <f.nick!f.name@host> <date> [RM]}
  NOTE [STATS] [MSM|MSW|MUM|MUW|MST|MSF|USED} {[RESET] [value]}
  {NOTE [SAVE]}

  The Note system have two main functions:
  1. Let you send one line messages to irc users which 
     they will get when they next sign on to irc.
     Example: /note send <nick> Hi, this is a note to you.
  2. Let you spy on people, to see when they sign on or off,
     change nick name or join channels.
     Example: /note spy +100 <nick>  (spy on nick for 100 days)
     
  You may fill in none or any of the arguments listed above, including
  * or ? at any place, as nick@*.edu, !username, ni?k!username etc...
  Other usefull features may be /note wait <nick>, making nick and
  you get a message when you both are on at the same time.
 
  Note was developed 1990 by jarle@stud.cs.uit.no (Wizible on IRC).

-----

Usage: NOTE [USER] [&passwd] [+-flags] [+-maxtime] <nick!username@host> <msg>
  With USER you can queue a message in the server, and when the recipient
  signs on/off IRC, change nick or join any channel, note checks for
  valid messages. This works even if the sender is not on IRC. See FLAGS 
  for more info. 
  Password can be up to ten characters long. You may specify password 
  using the &, % or $ character. & is equal to to $, except working much
  better cause client use $ for other things...
  The % character works like &, except it makes the queuing silent. It
  does also make sense to use this without any following password.
  If any request queued is equal to any previous except time and maxtime,
  only maxtime is changed as specified. You then get "Joined" instead of
  "Queued". 
  HELP FLAGS for info about flag settings. Username can be specified
  without @host. Do not use wildcards in username if you know what it
  is, even if it's possible. Max time before the server automatically
  remove the message from the queue, is specified with hours with a
  '-' character first, or days if a '+' character is specified, as
  -5 hours, or +10 days. Default maxtime is 7 days.
  Note: The received message is *directly* displayed on the screen,
  without the need for a read or remove request.
  NOTE USER &secret +WN +10 Wizible!jarlek@ifi.uio.no Howdy!
  - is an example of a message sent only to the specified recipient if
  this person is an operator, and after receiving the message, the server
  sends a note message back to sender to inform about the delivery.
  NOTE USER +XR -5 Anybody <ctrl-G>
  - is an example which makes the server to tell when Anybody signs
  on/off irc, change nick etc. This process repeats for 5 hours.
  NOTE USER +FL @*.edu *account*
  - is an example which makes the server send a message back if any real-
  name of any user matches *account*. Message is sent back as note from
  server, or directly as a notice if sender is on IRC at this time.

----

Usage: NOTE [COUNT] [&passwd] [+-flags] <nick!username@host>
  Displays the number of messages sent from your nick and username. Read
  NOTE LS for more info. Read NOTE FLAG for more info about flag setting.

-----

Usage: NOTE [FIND] [&passwd] [+-flags] [+-maxtime] <nick!username@host> <msg>
  FIND is an alias for USER +FLR (default max 1 day)
  This command makes the server search for any matching recipient, and
  send a note message back if this is found. If <msg> field is used, this 
  should specify the realname of the person to be searched for.
  Example: FIND -4 foo*!username@host
           FIND @host Internet*
	   FIND nicky Annie*	     
	   FIND +7 * Annie*

-----

Usage: NOTE [FLAG] [&passwd] [+-flags] <nick!username@host> <+-flags>
  You can add or delete as many flags as you wish with +/-<flag>.
  + switch the flag on, and - switch it off. Example: -S+RL
  Following flags with its default set specified first are available:
  -S > News flag for subscribing.
  -M > Request is removed after you sign off.
  -Q > Ignore request if recipient's first nick is equal to username.
  -I > Ignore request if recipient is not on same server as request.
  -W > Ignore request if recipient is not an operator.
  -Y > Ignore request if sender is not on IRC.
  -N > Let server send a note to you if message is delivered.
  -R > Repeat processing the request until timeout.
  -F > Let server send note info for matching recipient(s). Any message
       part specify what to match with the realname of the recipient. 
  -L > Head channel flag.
  -P > Password set for head channel.
  -D > Z or L flag requests are queued on other servers for one week.
  -C > Make sender's nicks be valid in all cases username@host is valid.
  -V > Make sender's "nick*" be valid in all cases username@host is valid.
  -X > Let server display if recipient signs on/off IRC or change
       nickname. Any message specified is returned to sender.
  -A > Show what server matching user is on using X flag.
  -J > Show what channel matching user is on using X flag.
  -U > Do not display nick-change using X flag.
  -E > Ignore request if nick, name and host matches the message text
       starting with any number of this format: 'nick!name@host nick!... '
  -B > Send a message to every account who match the nick!user@host 
       This creates a received list with flag H set. (Read LS +h)
  -T > Send a message not all nicks on same accounts too using B flag.
  -K > Give keys to unlock privileged flags by setting that flags on.
       The recipient does also get privileges to queue unlimited 
       numer of requests, list privileged flags and see all stats.
  -Z > Make it impossible for recipient to join head chn, or queue notes.
  Other flags which are only displayed but can't be set by user:
  -O > Request is queued by an operator.
  -G > Notice message is generated by server.
  -B > Broadcasting message.
  -H > Flag list for who's received Broadcast message (B flag).
   Notice: Message is not sent to recip. using F, L, R, X, K, Z or H
   flag (except if B flag is set for R). For this flags, no msg. needed.

Example: FLAG * +cj     : Switch on c and j flag for all requests.
	 FLAG +x * +c   : Switch on c flag for all req. which have x flag.
	 FLAG nick -c+j : Switch off c flag and which on j flag for nick

--------

Usage: NOTE [LOG] [&passwd] [+-flags] <nick!username@host>
  Displays how long time since matching person was on IRC. This works 
  only after use of NOTE SPY. The log is protected to be seen for other
  users than the person who queued the SPY request. To get short
  output, do not specify any arguments.
  Example: LOG      : Print short log of all
           LOG *    : Print long log including real names of all
           LOG nick : Print long log for user nick.

-------

Usage: NOTE [LS] [&passwd] [+-flags] <nick!username@host> [date]
  Displays requests you have queued. No arguments would show you
  all requests without the message field.
  Use flags for matching all messages which have the specified flags set
  on or off. Read NOTE FLAG for more info about flag settings. Time 
  can be specified on the form day.month.year or only day, or day/month, 
  and separated with one of the three '.,/' characters. You can also 
  specify -n for n days ago. Examples: 1.jan-90, 1/1.90, 3, 3/5, 3.may.
  If only '-' and no number is specified max time is set to all days.
  The time specified is always the local time on your system.
  Example: LS !user would show you all requests to username@*
           LS +x would show all your SPY requests.
           LS #300 would show you only request #300.

------

Usage: NOTE [NEWS] [&passwd] [+-flags] [+-maxtime] <group!username@host>
  NEWS with no message is an alias for USER +RS (default max 60 days)
  This command is for subscribing on a specified newsgroup from any
  user(s) or host(s). Wildcards may be used anywhere.
  Example: NEWS irc.talk         : Subscribe on irc.talk
           NEWS irc.talk@*.no    : Send to group irc.talk, but only for
                                   users at host *.no
           NEWS admin.note       : Send to all for group admin.note
           NEWS Users@*.edu Hi   : Send Hi to all users using note in your
                                   server located at host *.edu.
   (Advanced users may use User +rs <...> <filter> where filter is a 
   string which must matches with field in received news message)
   Only opers may send to grups matching admin.* as admin.note.
   To send news add message and use same format as subscribing, except 
   that username field must matches with subscribed group as alt.irc!*.irc - 
   everybody subscribing on a*.irc or *.irc or alt.irc... would get the news.
   A speciall case is the group admin.users which everybody using note in the 
   server are member of.

------

Usage: NOTE [RM] [&passwd] [+-flags] [#ID] <nick!username@host>
  Deletes any messages sent from your nick and username which matches
  with nick and username@host. Use flags for matching all messages which
  have the specified flags set on or off. See HELP FLAG for more info
  about flag settings, and HELP LS for info about time.

-----

Usage: NOTE [SEND] [&passwd] [+-flags] [+-maxtime] <nick!username@host> <msg>
  SEND is an alias for USER +D (default max 60 days)
  This command is for sending a message to recipient, and let the server
  send a note + a notice to sender if this is on IRC - if message is sent.
  Example: SEND foobar Hello, this is a test.
           SEND +7 !username@*.edu Hello again!

----

 Usage: NOTE [SENT] [NAME|COUNT] {[USERS] <f.nick!f.name@host> <date> [RM]}
  Displays host and time for messages which are queued without specifying
  any password. If no option is specified SENT displays host/time for
  messages sent from your nick and username.
  NAME displays host/time for messages sent from your username
  COUNT displays number of messages sent from your username
  USERS Displays the number of messages in [], and names for all users
  who have queued any message which matches with spec. nick/name/host.
  RM means that the server removes the messages from the specified user.

------

Usage: NOTE [SPY] [&passwd] [+-flags] [+-maxtime] <nick!username@host> [msg]
  SPY is an alias for USER +RX (default 1 max day)
  SPY makes the server tell you if any matching recipient sign(s)
  on/off IRC or change nick name. No message needs to be specified.
  However, if a message is specified this is returned to sender including
  with the message about recipient. Message could for example be one or
  more Ctrl-G characters to activate the bell on senders machine.
  As an alternative for using C flag, <msg> field could start with
  any number of nicks on this format: %nick1 %nick2... %nickn, with
  no space between % and the nick name you use. Spy messages would be
  valid for any of the nicks specified.
  SPY with no argument would tell you what users you have spy on who are 
  currently on IRC. The system logs last time the last matching person was 
  on IRC for each SPY request is queued in the server. Read NOTE LOG for this.
  You may use flag +A to see what server matching user is on, 
  and/or +J flag to see what channel. (Read NOTE USER for more).
  Example: SPY foobar!username@host <ctrl-G>
           SPY +10 foobar
           SPY +aj &secret * <ctrl-G>
           SPY +365 +e !user nick!*@* <ctrl-G>
           SPY % +7 foo!user
           SPY +5 nicky %mynick %meenick

-----

 Usage: NOTE [STATS] [MSM|MSW|MUM|MUW|MST|MSF|USED] {[RESET] [value]}
  STATS with no option displays the values of the following variables:
  MSM: Max number of server messages.
  MSW: Max number of server messages with username-wildcards.
  MUM: Max number of user messages.
  MUW: Max number of user messages with username-wildcards.
  MST: Max server time.
  MSF: Note save frequency (checks for save only when an user register)
  Only one of this variables are displayed if specified.
  You can change any of the stats by specifying new value after it.
  RESET sets the stats to the same values which is set when starting the
  server daemon if no note file exist. Notice that this stats are saved
  in same file as the other messages.

-----

Usage: NOTE [WAITFOR [&pwd] [+-flags] [+-maxtime] <nick!username@host> [msg]
  WAITFOR is an alias for USER +YD (default max 1 day)
  Default message is; [Waiting]
  This command is for telling the recipient if this appears on IRC that
  you are waiting for him/her and notice that this got that message.
  Example: WAITFOR foobar
           WAITFOR -2 foobar!username@*
           WAITFOR foobar Waiting for you until pm3:00..

-----

 Usage: NOTE [WALL] [&passwd] [+-flags] [+-maxtime] <nick!user@host> <msg>
   WALL is an alias for USER +BR (default max 1 day)
   This command is for sending a message once to every matching user
   on IRC. Be careful using this command. WALL creates a list of 
   persons received the message (and should not have it once more time)
   with H flag set. This list can be displayed using ls +h from the
   nick and username@host which the WALL request is queued from.
   Removing the headers (H) before WALL request is removed would cause
   the message to be sent once more to what users specified in list.
   WALL +7 @*.edu Do not do this! - Makes it clear for all users using 
   IRC on host @*.edu the next 7 days how stupid it is to send such WALL's ;) 

-----

 Usage: NOTE [WALLOPS] [&passwd] [+-flags] [+-maxtime] <nick!user@host> <msg>
   WALLOPS is an alias for USER +BRW (default max 1 day)
   This command is same as WALL, except only opers could receive it.
 

-----

 Usage: NOTE [server] ANTIWALL 
   Switch off b flag for wall's which you have received on specified
   server. The person who queued the wall would be notified about
   the antiwall, and who requested this.

-----

 Usage: NOTE [DENY] [&passwd] [+-flags] [+-maxtime] <nick!user@host> <msg>
   DENY is an alias for USER +RZ (default max 1 day)
   This command makes it impossible for any matching recipient to
   queue any Note requests until timeout.

-----

 Usage: NOTE [KEY] [&passwd] [+-flags] [+-maxtime] <nick!user@host>
   KEY is an alias for USER +KR (default max 1 day)
   This command is for allowing no-opers to use oper-options by specifying
   the flag to unlock. Be careful with this option!
   Example: KEY +365 +s * would make it possible for everybody to use s flag.

-----

 Usage: NOTE SERVICE <nick> <note command>
   Usefull in robots. Note will take the requests as if from <nick>

-----

 Usage: NOTE [SAVE]
   SAVE saves all messages with the save flag set. Notice that the
   messages are automatically saved (Read NOTE STATS). Each time server is
   restarted, the save file is read and messages are restored. If no users
   are connected to this server when saving, the ID number for each
   message is renumbered.


